Bug 1460732 - vdsm sos plugin is broken for sos 3.4
vdsm sos plugin is broken for sos 3.4
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: Tools (Show other bugs)
---
Unspecified Unspecified
unspecified Severity urgent (vote)
: ovirt-4.1.4
: 4.19.21
Assigned To: Irit Goihman
Jiri Belka
: Regression, ZStream
Depends On:
Blocks: 1462724
  Show dependency treegraph
 
Reported: 2017-06-12 10:23 EDT by Sandro Bonazzola
Modified: 2017-12-18 07:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1462724 (view as bug list)
Environment:
Last Closed: 2017-07-28 10:11:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
rule-engine: blocker+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78197 master MERGED sos: fix broken vdsm plugin 2017-06-15 12:53 EDT
oVirt gerrit 78285 ovirt-4.1 MERGED sos: fix broken vdsm plugin 2017-06-21 05:04 EDT

  None (edit)
Description Sandro Bonazzola 2017-06-12 10:23:38 EDT
Testing sos 3.4 lead to:
plugin vdsm does not install, skipping: type object 'Plugin' has no attribute 'add_copy_spec_limit'
a non-existing plugin (vdsm) was specified in the command line
)

sos 3.4 is already in Fedora and will be in RHEL 7.4.
Comment 1 Red Hat Bugzilla Rules Engine 2017-06-12 10:23:48 EDT
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.
Comment 5 rhev-integ 2017-07-07 08:25:02 EDT
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Tag 'v4.19.21' doesn't contain patch 'https://gerrit.ovirt.org/78285']
gitweb: https://gerrit.ovirt.org/gitweb?p=vdsm.git;a=shortlog;h=refs/tags/v4.19.21

For more info please contact: infra@ovirt.org
Comment 7 Jiri Belka 2017-07-19 05:07:23 EDT
ok, vdsm-4.19.23-1.el7ev.x86_64

* el 7.4

sos-3.4-5.el7.noarch
redhat-release-server-7.4-18.el7.x86_64
vdsm-4.19.23-1.el7ev.x86_64

# sosreport -o vdsm -v
...
  Running 1/1: vdsm...        
[plugin:vdsm] collecting path '/var/log/vdsm/supervdsm.log'
[plugin:vdsm] collecting path '/var/log/vdsm/mom.log.1'
[plugin:vdsm] collecting path '/etc/vdsm/mom.d'
[plugin:vdsm] collecting path '/usr/libexec/vdsm/hooks'
[plugin:vdsm] collecting path '/var/log/vdsm/import'
[plugin:vdsm] collecting path '/etc/vdsm/logger.conf'
[plugin:vdsm] collecting path '/var/log/vdsm/backup'
[plugin:vdsm] collecting path '/etc/vdsm/logrotate'
[plugin:vdsm] collecting path '/etc/vdsm/vdsm.conf.20170717114324'
[plugin:vdsm] collecting path '/var/run/vdsm/client.log'
[plugin:vdsm] collecting path '/var/run/vdsm/trackedInterfaces'
[plugin:vdsm] collecting path '/var/run/vdsm/netconf'
[plugin:vdsm] collecting path '/var/log/vdsm/mom.log'
[plugin:vdsm] collecting path '/etc/vdsm/mom.conf'
[plugin:vdsm] collecting path '/etc/vdsm/vdsm.conf'
[plugin:vdsm] collecting path '/var/log/vdsm/upgrade.log'
[plugin:vdsm] collecting path '/var/run/vdsm/lvm'
[plugin:vdsm] collecting path '/var/lib/vdsm'
[plugin:vdsm] collecting path '/var/log/sanlock.log'
[plugin:vdsm] collecting path '/var/log/vdsm/vdsm.log'
[plugin:vdsm] collecting path '/var/run/vdsm/sourceRoutes'
[plugin:vdsm] collecting path '/etc/vdsm/svdsm.logger.conf'
[plugin:vdsm] collecting path '/var/run/vdsm/nets_restored'
[plugin:vdsm] collecting path '/etc/vdsm/vdsm.conf.d'
[plugin:vdsm] collecting path '/var/run/vdsm/v2v'
[plugin:vdsm] collecting path '/etc/vdsm/vdsm.id'
[plugin:vdsm] collecting output of 'service vdsmd status'
[plugin:vdsm] collecting output of '/bin/ls -l /var/log/core'
[plugin:vdsm] collecting output of '/bin/ls -ldZ /etc/vdsm'
[plugin:vdsm] collecting output of '/bin/su vdsm -s /bin/sh -c '/usr/bin/tree -l /rhev/data-center''
[plugin:vdsm] collecting output of '/bin/su vdsm -s /bin/sh -c '/bin/ls -lR /rhev/data-center''
[plugin:vdsm] collecting output of '/sbin/lvm vgs -v -o +tags'
[plugin:vdsm] collecting output of '/sbin/lvm lvs -v -o +tags'
[plugin:vdsm] collecting output of '/sbin/lvm pvs -v -o +all'
[plugin:vdsm] collecting output of '/sbin/fdisk -l'
[plugin:vdsm] collecting output of '/usr/bin/iostat'
[plugin:vdsm] command '/usr/bin/iostat' not found in / - re-trying in host root
[plugin:vdsm] collecting output of '/sbin/iscsiadm -m node'
[plugin:vdsm] collecting output of '/sbin/iscsiadm -m session'
[plugin:vdsm] collecting output of '/usr/sbin/nodectl info'
[plugin:vdsm] command '/usr/sbin/nodectl' not found in / - re-trying in host root
[plugin:vdsm] collecting output of '/usr/bin/abrt-cli list'
[plugin:vdsm] collecting output of 'vdsm-tool dump-volume-chains bb1b6832-614a-4edc-95fa-b95e7c01d052'
...

# tar tvJf /var/tmp/sosreport-localhost.localdomain-20170719110207.tar.xz | egrep '(/var/log/vdsm|sos_commands)'
drwx------ root/root         0 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/
drwx------ root/root         0 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/
-rw-r--r-- root/root      2428 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/service_vdsmd_status
-rw-r--r-- root/root         8 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/ls_-l_.var.log.core
-rw-r--r-- root/root        65 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/ls_-ldZ_.etc.vdsm
-rw-r--r-- root/root      2532 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/su_vdsm_-s_.bin.sh_-c_.usr.bin.tree_-l_.rhev.data-center
-rw-r--r-- root/root      3934 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/su_vdsm_-s_.bin.sh_-c_.bin.ls_-lR_.rhev.data-center
-rw-r--r-- root/root        28 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/lvm_vgs_-v_-o_tags
-rw-r--r-- root/root        28 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/lvm_lvs_-v_-o_tags
-rw-r--r-- root/root        69 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/lvm_pvs_-v_-o_all
-rw-r--r-- root/root      1331 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/fdisk_-l
-rw-r--r-- root/root        27 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/iscsiadm_-m_node
-rw-r--r-- root/root        30 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/iscsiadm_-m_session
-rw-r--r-- root/root      3444 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/abrt-cli_list
-rw-r--r-- root/root       624 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/sos_commands/vdsm/vdsm-tool_dump-volume-chains_bb1b6832-614a-4edc-95fa-b95e7c01d052
drwxr-xr-x root/root         0 2017-07-18 11:37 sosreport-localhost.localdomain-20170719110207/var/log/vdsm/
-rw-r--r-- root/root     93416 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/var/log/vdsm/supervdsm.log
-rw-r--r-- vdsm/kvm    2097142 2017-07-19 10:47 sosreport-localhost.localdomain-20170719110207/var/log/vdsm/mom.log.1
-rw-r--r-- vdsm/kvm      14090 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/var/log/vdsm/mom.log
-rw-r--r-- root/root      3180 2017-07-17 11:44 sosreport-localhost.localdomain-20170719110207/var/log/vdsm/upgrade.log
-rw-r--r-- vdsm/kvm   12098049 2017-07-19 11:02 sosreport-localhost.localdomain-20170719110207/var/log/vdsm/vdsm.log


* el 7.3

redhat-release-server-7.3-7.el7.x86_64
sos-3.3-5.el7_3.noarch
vdsm-4.19.23-1.el7ev.x86_64

# sosreport -o vdsm -v
...
  Running 1/1: vdsm...                                                                                                                                                                [60/1948]
[plugin:vdsm] collecting path '/var/log/vdsm/supervdsm.log'
[plugin:vdsm] collecting path '/var/log/vdsm/mom.log.1'
[plugin:vdsm] collecting path '/etc/vdsm/vdsm.conf.20170717145821'
[plugin:vdsm] collecting path '/etc/vdsm/mom.d'
[plugin:vdsm] collecting path '/usr/libexec/vdsm/hooks'
[plugin:vdsm] collecting path '/var/log/vdsm/import'
[plugin:vdsm] collecting path '/etc/vdsm/logger.conf'
[plugin:vdsm] collecting path '/var/log/vdsm/backup'
[plugin:vdsm] collecting path '/var/run/vdsm/trackedInterfaces'
[plugin:vdsm] collecting path '/var/run/vdsm/client.log'
[plugin:vdsm] collecting path '/etc/vdsm/logrotate'
[plugin:vdsm] collecting path '/var/run/vdsm/netconf'
[plugin:vdsm] collecting path '/var/log/vdsm/mom.log'
[plugin:vdsm] collecting path '/etc/vdsm/mom.conf'
[plugin:vdsm] collecting path '/etc/vdsm/vdsm.conf'
[plugin:vdsm] collecting path '/var/log/vdsm/upgrade.log'
[plugin:vdsm] collecting path '/var/run/vdsm/lvm'
[plugin:vdsm] collecting path '/var/log/vdsm/vdsm.log.1.xz'
[plugin:vdsm] collecting path '/var/lib/vdsm'
[plugin:vdsm] collecting path '/var/log/sanlock.log'
[plugin:vdsm] collecting path '/var/log/vdsm/vdsm.log'
[plugin:vdsm] collecting path '/var/run/vdsm/sourceRoutes'
[plugin:vdsm] collecting path '/etc/vdsm/svdsm.logger.conf'
[plugin:vdsm] collecting path '/var/run/vdsm/nets_restored'
[plugin:vdsm] collecting path '/etc/vdsm/vdsm.conf.d'
[plugin:vdsm] collecting path '/var/run/vdsm/v2v'
[plugin:vdsm] collecting path '/etc/vdsm/vdsm.id'
[plugin:vdsm] collecting output of 'service vdsmd status'
[plugin:vdsm] collecting output of '/bin/ls -l /var/log/core'
[plugin:vdsm] collecting output of '/bin/ls -ldZ /etc/vdsm'
[plugin:vdsm] collecting output of '/bin/su vdsm -s /bin/sh -c '/usr/bin/tree -l /rhev/data-center''
[plugin:vdsm] collecting output of '/bin/su vdsm -s /bin/sh -c '/bin/ls -lR /rhev/data-center''
[plugin:vdsm] collecting output of '/sbin/lvm vgs -v -o +tags'
[plugin:vdsm] collecting output of '/sbin/lvm lvs -v -o +tags'
[plugin:vdsm] collecting output of '/sbin/lvm pvs -v -o +all'
[plugin:vdsm] collecting output of '/sbin/fdisk -l'
[plugin:vdsm] collecting output of '/usr/bin/iostat'
[plugin:vdsm] command '/usr/bin/iostat' not found in / - re-trying in host root
[plugin:vdsm] collecting output of '/sbin/iscsiadm -m node'
[plugin:vdsm] collecting output of '/sbin/iscsiadm -m session'
[plugin:vdsm] collecting output of '/usr/sbin/nodectl info'
[plugin:vdsm] command '/usr/sbin/nodectl' not found in / - re-trying in host root
[plugin:vdsm] collecting output of '/usr/bin/abrt-cli list'
[plugin:vdsm] collecting output of 'vdsm-tool dump-volume-chains bb1b6832-614a-4edc-95fa-b95e7c01d052'
...

# tar tvJf /var/tmp/sosreport-localhost.localdomain-20170719110549.tar.xz | egrep '(/var/log/vdsm|sos_commands)'  
drwx------ root/root         0 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/
drwx------ root/root         0 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/
-rw-r--r-- root/root      2190 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/service_vdsmd_status
-rw-r--r-- root/root         8 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/ls_-l_.var.log.core
-rw-r--r-- root/root        65 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/ls_-ldZ_.etc.vdsm
-rw-r--r-- root/root      2532 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/su_vdsm_-s_.bin.sh_-c_.usr.bin.tree_-l_.rhev.data-center
-rw-r--r-- root/root      3934 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/su_vdsm_-s_.bin.sh_-c_.bin.ls_-lR_.rhev.data-center
-rw-r--r-- root/root        28 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/lvm_vgs_-v_-o_tags
-rw-r--r-- root/root        28 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/lvm_lvs_-v_-o_tags
-rw-r--r-- root/root        69 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/lvm_pvs_-v_-o_all
-rw-r--r-- root/root      1331 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/fdisk_-l
-rw-r--r-- root/root        27 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/iscsiadm_-m_node
-rw-r--r-- root/root        30 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/iscsiadm_-m_session
-rw-r--r-- root/root      3411 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/abrt-cli_list
-rw-r--r-- root/root       624 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/sos_commands/vdsm/vdsm-tool_dump-volume-chains_bb1b6832-614a-4edc-95fa-b95e7c01d052
drwxr-xr-x root/root         0 2017-07-18 11:37 sosreport-localhost.localdomain-20170719110549/var/log/vdsm/
-rw-r--r-- root/root    164226 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/var/log/vdsm/supervdsm.log
-rw-r--r-- vdsm/kvm    2097148 2017-07-19 04:29 sosreport-localhost.localdomain-20170719110549/var/log/vdsm/mom.log.1
-rw-r--r-- vdsm/kvm     376977 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/var/log/vdsm/mom.log
-rw-r--r-- root/root      3180 2017-07-17 14:59 sosreport-localhost.localdomain-20170719110549/var/log/vdsm/upgrade.log
-rw-r--r-- vdsm/kvm    1133756 2017-07-19 08:00 sosreport-localhost.localdomain-20170719110549/var/log/vdsm/vdsm.log.1.xz
-rw-r--r-- vdsm/kvm    1291635 2017-07-19 11:05 sosreport-localhost.localdomain-20170719110549/var/log/vdsm/vdsm.log

Note You need to log in before you can comment on or make changes to this bug.